Class List Method List File List

# Class: Concurrent::Actor::ActorTerminated

Inherits:
  Error
  - Object
  - Concurrent::Actor::ActorTerminated
  show all
Includes:
  TypeCheck
Defined in:
  lib/concurrent/actor/errors.rb

## Instance Attribute Summary (collapse)

- - (undocumented) reference readonly

## Instance Method Summary (collapse)

- - (undocumented) Child!(value, *types) included from TypeCheck
- - (Boolean) Child?(value, *types) included from TypeCheck
- - (ActorTerminated) initialize(reference) constructor

  A new instance of ActorTerminated.

- - (undocumented) Match!(value, *types) included from TypeCheck
- - (Boolean) Match?(value, *types) included from TypeCheck
- - (undocumented) Type!(value, *types) included from TypeCheck
- - (Boolean) Type?(value, *types) included from TypeCheck

## Constructor Details

### - (`ActorTerminated`) initialize(reference)

Returns a new instance of ActorTerminated

    10
    11
    12
    13

    # File 'lib/concurrent/actor/errors.rb', line 10

    def initialize(reference)
      @reference = Type! reference, Reference
      super reference.path
    end

## Instance Attribute Details

### - (`undocumented`) reference (readonly)

    8
    9
    10

    # File 'lib/concurrent/actor/errors.rb', line 8

    def reference
      @reference
    end

## Instance Method Details

### - (`undocumented`) Child!(value, *types) Originally defined in module TypeCheck

### - (`Boolean`) Child?(value, *types) Originally defined in module TypeCheck

Returns:

- (`Boolean`)

### - (`undocumented`) Match!(value, *types) Originally defined in module TypeCheck

### - (`Boolean`) Match?(value, *types) Originally defined in module TypeCheck

Returns:

- (`Boolean`)

### - (`undocumented`) Type!(value, *types) Originally defined in module TypeCheck

### - (`Boolean`) Type?(value, *types) Originally defined in module TypeCheck

Returns:

- (`Boolean`)